/**
 * Convert a value to AP/APA title case.
 *
 * @param {string} [value]
 *   Short text of unknown casing.
 * @param {Options} [options]
 *   Configuration (optional).
 * @returns {string}
 *   Title-cased version of `value`.
 */
export function apStyleTitleCase(
  value?: string | undefined,
  options?: Options | undefined
): string
/**
 * Configuration (optional).
 */
export type Options = {
  /**
   * Keep superfluous whitespace.
   * Whitespace is turned into a space by default.
   */
  keepSpaces?: boolean | undefined
  /**
   * List of stopwords.
   * When a lowercased word is included in this list, it will be used as
   * lowercase.
   * Otherwise words are capitalized.
   */
  stopwords?: string[] | undefined
}
